## class SG_EXPORT osgUtx::TestQualifier

> Maintains a string that when accessed in the "visit" member, returns the current qualified TestSuite path

## Inheritance:

### Public Methods

virtual bool visitEnter( TestSuite* pSuite )
virtual bool visitLeave( TestSuite* pSuite )
const std::string& currentPath() const

### Inherited from TestVisitor:

### Public Methods

virtual bool visit( TestCase* )

## Documentation

> Maintains a string that when accessed in the "visit" member, returns the current qualified TestSuite path

`SEPCHAR`

`virtual bool visitEnter( TestSuite* pSuite )`

`virtual bool visitLeave( TestSuite* pSuite )`

`const std::string& currentPath() const`

Direct child classes:
  TestRunner
  QualifiedTestPrinter

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.